let csvToJson = require('convert-csv-to-json');

let marvinCsvPath = './data/Journal.csv';

let marvinJsonPath = './data/marvinHighlights.json';

marvinJson = csvToJson.getJsonFromCsv(marvinCsvPath, marvinJsonPath);

let key = Object.keys(marvinJson[0]);

let finishedQuoteArray = [];

for (var currentQuote of marvinJson) {

    let giantDataString = currentQuote[key];
    let marvinQuoteDataArray = giantDataString.split(",");

    let quoteText = marvinQuoteDataArray[ marvinQuoteDataArray.length - 1 ];

    if (quoteText.length > 100 ) {
        let quote = {
            textTitle: marvinQuoteDataArray[3],
            author: marvinQuoteDataArray[4],
            dateHighlighted: marvinQuoteDataArray[5],
            quoteText: marvinQuoteDataArray[ marvinQuoteDataArray.length - 1 ]
        }
        finishedQuoteArray.push(quote);
    }   

}

exports.array = finishedQuoteArray;